{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":21340,"path":"integrate-applications/integration-hub/oracle-fin-cloud.md","title":"Oracle Financial Cloud Spoke","bundle":null,"doc_type":null,"release":"australia","body":"\n# Oracle Financial Cloud Spoke\n\nManage invoices, ledger, and records in an Oracle Financial Cloud instance from your ServiceNow instance.\n\n## Request apps on the Store\n\nVisit the [ServiceNow Store](https://store.servicenow.com/sn_appstore_store.do#!/store/home) to view all the available apps, and for information about submitting requests to the store. For cumulative release notes information for all released apps, see the [ServiceNow Store version history release notes](https://www.servicenow.com/docs/r/store-release-notes/sn-store-release-notes.html).\n\n## Integration Hub subscription\n\nThis spoke requires an Integration Hub subscription. For more information, see [Legal schedules - IntegrationHub overview](https://www.servicenow.com/content/dam/servicenow-assets/public/en-us/doc-type/legal/snc-addendum-integrationhub.pdf).\n\n## Spoke version\n\nOracle Financial Cloud spoke v1.7.1 is the latest version. For version history of the spoke, see [Oracle Financial Cloud spoke release notes](https://www.servicenow.com/docs/r/store-release-notes/store-integrationhub-rn-oracle-financial-cloud.html).\n\n## Supported versions\n\nThis spoke was built for Oracle Financial Cloud API version 11.13.18.05.\n\n## Spoke dependencies\n\nIf you’re having trouble installing the app, ensure that these dependent plugins are installed:\n\n-   [Utility Actions Spoke]()\n-   ServiceNow IntegrationHub Action Step - REST \\(com.glide.hub.action\\_step.rest\\)\n-   ServiceNow IntegrationHub Runtime \\(com.glide.hub.integration.runtime\\)\n-   ServiceNow Flow Designer - Dynamic Inputs \\(com.glide.hub.dynamic\\_inputs\\)\n-   Complex Object \\(com.glide.cobject\\)\n-   ServiceNow IntegrationHub Action Template - Data Stream \\(com.glide.hub.action\\_type.datastream\\)\n-   ServiceNow Flow Designer - Dynamic Outputs \\(com.glide.hub.dynamic\\_outputs\\)\n\n**Note:** Some of these plugins are licensable features and require appropriate licenses, if used outside the spoke implementation.\n\n## Spoke flows\n\nThe Oracle Financial Cloud spoke provides sample flows to demonstrate automating the Oracle Financial Cloud tasks. To customize a sample flow, copy it to a new application scope. Available sample flows include:\n\n<table id=\"table_dzy_sjk_ymb\"><thead><tr><th>\n\nFlow\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nGet Accounted AP Invoices\n\n</td><td>\n\nRetrieves information about the accounted AP invoices. This flow triggers the Get Accounted AP Invoice subflow and includes the Look up Record Details action.\n\n</td></tr><tr><td>\n\nImport Journals\n\n</td><td>\n\nImports the journal records from your ServiceNow instance to Oracle Financial Cloud system.To import the journal records, you must create the required records in the GL Interface module.\n\n</td></tr><tr><td>\n\nImport AP Invoices\n\n</td><td>\n\nImports accounts payable invoice line and accounts payable invoice records from your ServiceNow instance to Oracle Financial Cloud system. To import the accounts payable invoice line and accounts payable invoice records, you must create the required records in the AP Invoices Interface and AP Invoices Lines Interface modules respectively.\n\n</td></tr></tbody>\n</table>**Note:** The success message displayed after flow executions during the data imports from ServiceNow instance to Oracle Financial Cloud system, only indicates that data has been successfully pushed to Oracle Financial Cloud system. You must verify that the data import is successfully completed by accessing the Oracle Financial Cloud system.\n\n## Spoke subflows\n\nThe Oracle Financial Cloud spoke provides sample subflow, Get Accounted AP Invoice, to demonstrate automating Oracle Financial Cloud tasks. The subflow retrieves the accounted AP invoice records and is used in the Get Accounted AP Invoices flow. To customize the sample subflow, copy it to a new application scope.\n\n## Spoke actions\n\nThe Oracle Financial Cloud spoke provides actions to automate Oracle Financial Cloud tasks when events occurs in your ServiceNow instance. Available actions include:\n\n|Category|Action|Description|\n|--------|------|-----------|\n|All Record Management|Create Record|Creates a record related to the specified object in Oracle Financial Cloud.|\n|Delete Record|Deletes a record related to the specified object in Oracle Financial Cloud.|\n|Look up Record Details|Retrieves record details in an object.|\n|Look up Record Details By ID|Retrieves details of the specified record in an object.|\n|Look up Records Stream|Retrieves a list of records related to the specified record or object from Oracle Financial Cloud.|\n|Update Record|Updates the record related to the specified object in Oracle Financial Cloud.|\n|AP Invoice Management|Import AP Invoices|Imports the actionable payment invoices.|\n|Look up AP Invoice Lines|Retrieves information about the accounts payable invoice lines.|\n|Look up AP Invoices|Retrieves information about the actionable payment invoices.|\n|Currency Conversion|Look up Currency Rates|Retrieves information about the currency rates.|\n|General Ledger|Get Code Combinations Details|Retrieves information about the code combinations.|\n|Get Subledger Balances|Retrieves information about the subledger balances.|\n|Import Journals|Imports details about the journals.|\n|Look up Chart of Accounts|Retrieves the chart of accounts structure, including segment definitions and value set details, for the specified ledger.[Create chart of accounts data model in Oracle Financial Cloud](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/create-coa-data-model-oracle-fin-cloud.md),before using this action.|\n|Look up Ledger Balance|Retrieves information about the ledger balances.|\n|Invoice Management|Look up Invoice Payments Status|Retrieves the status of invoice payment for the specified invoice ID from Oracle Financial Cloud.|\n|Update Invoice Payment Status|Updates the status of an existing invoice payment in Oracle Financial Cloud.|\n|Metadata Retrieval|Get Object Data for Oracle Cloud Financials|Retrieves the object metadata for the specified object from Oracle Financials Cloud.|\n|Get Objects \\(Metadata\\)|Retrieves the list of all records or objects from Oracle Financial Cloud.|\n|Get Object Schema \\(Metadata\\)|Retrieves all schema or fields related data from Oracle Financial Cloud for the specified object.|\n|Get Dynamic Response Schema \\(Metadata\\)|Retrieves all output schema or fields related data from Oracle Financial Cloud for the specified object.|\n|Primary Data Management|Look up HR Locations Stream|Retrieve the list of all locations with the object name \"locations\".|\n|Look up Cost Centers Stream|Retrieves the details of the Cost Centers from the Oracle Financial Cloud.|\n|Purchase Order Management|Create Purchase Order and PO Lines|Creates a purchase order and adds associated purchase order lines in Oracle Financial Cloud.|\n|Update Purchase Order and PO Lines|Updates an existing purchase order and its associated purchase order lines in Oracle Financial Cloud.|\n|Supplier Record Management|Look up Suppliers|Retrieves information about the suppliers.|\n\n## Spoke modules\n\nThe Oracle Financial Cloud spoke adds the Oracle Financial Cloud application to your instance and includes these modules:\n\n<table id=\"table_jzy_sjk_ymb\"><thead><tr><th>\n\nModule\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccounted AP Invoices\n\n</td><td>\n\nDisplays information about the accounted AP invoices.This information is retrieved when the Get Accounted AP Invoices flow is triggered.\n\n</td></tr><tr><td>\n\nAP Invoices Interface\n\n</td><td>\n\nDisplays the accounts payable invoice records.Admin must create these records in the ServiceNow instance in this module. The Import AP Invoices flow imports these invoices from your ServiceNow instance to Oracle Financial Cloud system.\n\n</td></tr><tr><td>\n\nAP Invoices Lines Interface\n\n</td><td>\n\nDisplays the accounts payable invoice line records.Admin must create these records in the ServiceNow instance in this module. The Import AP Invoices flow imports these invoices from your ServiceNow instance to Oracle Financial Cloud system.\n\n</td></tr><tr><td>\n\nBI Report Paths\n\n</td><td>\n\nDisplays information about the folder path where the required report is saved. The Get Subledger Balances and Get Code Combinations Details actions retrieve the subledger balances from these folder paths.Admin must create two records for the two actions and specify the folder path in this module.\n\n \\[Omitted image \"bi-report-paths.png\"\\] Alt text: Folder paths in the BI Report Paths module\n\n</td></tr><tr><td>\n\nGet Currency Rates\n\n</td><td>\n\nDisplays information about the currency rates.The currency rates are retrieved from the remote table, Get Currency Rates \\[sn\\_ofc\\_spoke\\_st\\_get\\_currency\\_rates\\]. You can use the remote table as reference and create another remote table for currency rates as per your requirement.\n\n</td></tr><tr><td>\n\nGL Interface\n\n</td><td>\n\nDisplays the journal records. The Import Journals flow imports these records from your ServiceNow instance to Oracle Financial Cloud system.Admin must create the required journal records in this module.\n\n</td></tr></tbody>\n</table>## Connection and credential alias requirements\n\nIntegration Hub uses aliases to manage connection and credential information. Using an alias eliminates the need to configure multiple credentials and connection information profiles when using multiple environments. If the connection or credential information changes, you don't need to update any actions that use the connection. For more information, see [Connections and Credentials](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/r-credentials.md).\n\nTwo connection and credential records are available along with the spoke. You must configure these alias record to use the spoke. See [Set up the Oracle Financial Cloud spoke](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/setup-oracle-fin-cloud.md) for more information.\n\n**Note:** Depending on the Oracle Financial Cloud policies and account settings, you may have to change or refresh the credentials in your credential record periodically.\n\nFor information about setting up the spoke, see [Set up the Oracle Financial Cloud spoke](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/setup-oracle-fin-cloud.md).\n\n"}}